#pragma once
#include <map>
struct M_NoviceGrowthCFGData
{
	//任务ID
	int mID;
	//天数
	int mGroup;
	//名字
	std::string mName;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	std::vector<int> mCompleteParam;
	//完成计数
	int mCompleteCount;
	//前端显示物品
	std::vector<int> mShowItem;
	//显示数量
	std::vector<int> mShowNumber;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//前往类型
	int mGoType;
};

class M_NoviceGrowthCFG
{
public:
private:
	static std::auto_ptr<M_NoviceGrowthCFG> msSingleton;
public:
	int GetCount();
	const M_NoviceGrowthCFGData* GetData(int ID);
	const std::map<int, M_NoviceGrowthCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_NoviceGrowthCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_NoviceGrowthCFGData> mMapData;
};
